%define debug_package	%{nil}

%define realversion	8.14.3-1

%define libnamestatic	%mklibname milter -s -d

Name:		libmilter-workers
Version:	%(echo %realversion | sed 's/-/_/g')
Release:	%mkrel 13
Summary:	Libmilter and a pool of threads
License:	GPLv1
Group:		Development/C
Url:		http://j-chkmail.ensmp.fr/
Source0:	http://j-chkmail.ensmp.fr/libmilter/%{name}-%{realversion}.tgz
Source1:	http://j-chkmail.ensmp.fr/libmilter/README

%description
Under original libmilter each connection generates one thread
on the filter. These threads remain alive during the connection
lifetime. So, one connection equals one thread.

For huge servers, handling many simultaneous connections (say, a
hundred and more), this may be an issue.

Most of the time, these threads are idle waiting for sendmail
commands (which come from remote clients). Tests at some domains
shows that this hold for more than 95 % of the time.

This libmilter version creates a fixed number of threads (workers)
and distribute tasks when it receives commands from sendmail.

%package -n	%{libnamestatic}
Summary:	Libmilter and a pool of threads
Group:		Development/C
Obsoletes:	%{_lib}milterstatic-devel
Provides:	milter-devel = %{version}-%{release}
Provides:	libmilter-devel = %{version}-%{release}

%description -n	%{libnamestatic}
Under original libmilter each connection generates one thread
on the filter. These threads remain alive during the connection
lifetime. So, one connection equals one thread.

For huge servers, handling many simultaneous connections (say, a
hundred and more), this may be an issue.

Most of the time, these threads are idle waiting for sendmail
commands (which come from remote clients). Tests at some domains
shows that this hold for more than 95 % of the time.

This libmilter version creates a fixed number of threads (workers)
and distribute tasks when it receives commands from sendmail.

%prep
%setup -q -n %{name}-%{realversion}
cp -f %{SOURCE1} ./

perl -pi -e "s/-O2/%{optflags}/" devtools/OS/Linux

%build
%make_build

%install
mkdir -p %{buildroot}%{_includedir}/libmilter/
cp include/libmilter/*.h %{buildroot}%{_includedir}/libmilter/

mkdir -p %{buildroot}%{_libdir}
cp obj.`uname -s`.`uname -r`.`uname -m`/libmilter/libmilter.a %{buildroot}%{_libdir}

%files -n %{libnamestatic}
%doc README
%{_includedir}/libmilter/*.h
%{_libdir}/*.a


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 8.14.3_1-13.mga9
+ Revision: 1792045
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 8.14.3_1-12.mga8
+ Revision: 1514236
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 8.14.3_1-11.mga7
+ Revision: 1298993
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Feb 15 2016 umeabot <umeabot> 8.14.3_1-10.mga6
+ Revision: 961097
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 daviddavid <daviddavid> 8.14.3_1-9.mga6
+ Revision: 896734
- disable debug package

* Wed Oct 15 2014 umeabot <umeabot> 8.14.3_1-8.mga5
+ Revision: 745278
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 8.14.3_1-7.mga5
+ Revision: 726751
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 8.14.3_1-6.mga5
+ Revision: 681603
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 8.14.3_1-5.mga4
+ Revision: 507161
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 8.14.3_1-4.mga3
+ Revision: 357759
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 14 2011 nanardon <nanardon> 8.14.3_1-3.mga1
+ Revision: 98674
- imported package libmilter-workers


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 8.14.3_1-3mdv2011.0
+ Revision: 609756
- rebuild

* Mon Nov 23 2009 Olivier Thauvin <nanardon@mandriva.org> 8.14.3_1-2mdv2010.1
+ Revision: 469176
- fix header location
- rename devel package

* Sun Nov 22 2009 Olivier Thauvin <nanardon@mandriva.org> 8.14.3_1-1mdv2010.1
+ Revision: 469077
- add group to subpackage
- import libmilter-workers


